Table of Contents

Class: MutableString | Twisted-0.17.4/twisted/python/mutablestring.py
--- | ---

Methods |
--- | ---

__add__ __cmp__ __complex__ __delitem__ __delslice__ __float__ __getitem__ | __getslice__ __init__ __int__ __len__ __mul__ __nonzero__ __radd__ | __repr__ __rmul__ __setitem__ __setslice__ __str__ append set

| __add__

    __add__ ( self,  other )

| __cmp__

    __cmp__ ( self,  other )

| __complex__

    __complex__ ( self )

| __delitem__

    __delitem__ ( self,  key )

Exceptions |
--- | ---
IndexError, "MutableString index out of range"

| __delslice__

    __delslice__ (
            self,
            i,
            j,
            )

| __float__

    __float__ ( self )

| __getitem__

    __getitem__ ( self,  key )

Exceptions |
--- | ---
IndexError, "MutableString index out of range"

| __getslice__

    __getslice__ (
            self,
            i,
            j,
            )

| __init__

    __init__ ( self,  s="" )

| __int__

    __int__ ( self )

| __len__

    __len__ ( self )

| __mul__

    __mul__ ( self,  other )

| __nonzero__

    __nonzero__ ( self )

| __radd__

    __radd__ ( self,  other )

| __repr__

    __repr__ ( self )

| __rmul__

    __rmul__ ( self,  other )

| __setitem__

    __setitem__ (
            self,
            key,
            value,
            )

Exceptions |
--- | ---
IndexError, "MutableString index out of range"

| __setslice__

    __setslice__ (
            self,
            i,
            j,
            s,
            )

| __str__

    __str__ ( self )

| append

    append ( self,  s )

| set

    set ( self,  s )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:23 2002 by HappyDoc version 2.0